aboutsummaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorAndrew Robbins <contact@andrewrobbins.info>2017-06-23 13:55:22 -0400
committerAndrew Robbins <contact@andrewrobbins.info>2017-06-23 13:55:22 -0400
commit4e50a92041c9f30deef1a32c995b9d5634cbed22 (patch)
tree889014b8974bb439a7a665ce991036ea5d41fd01 /tools
parentbdb6c0e643f9d4b4ce3e0ceba113c04bd45d5116 (diff)
downloadlibrebootfr-4e50a92041c9f30deef1a32c995b9d5634cbed22.tar.gz
librebootfr-4e50a92041c9f30deef1a32c995b9d5634cbed22.zip
Remove unnecessary 'env' invocation from printf.
This reverts part of pull request #217 which called the 'env' binary for each printf invocation.
Diffstat (limited to 'tools')
-rwxr-xr-xtools/blobs-discover/blobs-discover18
-rwxr-xr-xtools/boot-keys/boot-keys10
-rwxr-xr-xtools/boot-keys/boot-keys-helper4
3 files changed, 16 insertions, 16 deletions
diff --git a/tools/blobs-discover/blobs-discover b/tools/blobs-discover/blobs-discover
index c5f391a4..59b78f42 100755
--- a/tools/blobs-discover/blobs-discover
+++ b/tools/blobs-discover/blobs-discover
@@ -22,7 +22,7 @@ arguments() {
then
ls -A "$root/$PROJECTS/" | while read project
do
- env printf '%s\n' "$project"
+ printf '%s\n' "$project"
done
else
shift
@@ -93,18 +93,18 @@ verify() {
(
IFS=$ifs_save
- env printf '\n%s\n' "Discovered blob: $file"
+ printf '\n%s\n' "Discovered blob: $file"
$EDITOR "$project_sources_path/$file"
- env printf '%s' "Type \"blob\" to keep or press enter to discard: "
+ printf '%s' "Type \"blob\" to keep or press enter to discard: "
read choice
if [ "$choice" = "blob" ]
then
- env printf '%s\n' "$file" >> "$project_blobs_path"
+ printf '%s\n' "$file" >> "$project_blobs_path"
else
- env printf '%s\n' "$file" >> "$project_blobs_ignore_path"
+ printf '%s\n' "$file" >> "$project_blobs_ignore_path"
fi
sed "\|^$file$|d" -i "$project_blobs_discover_path"
@@ -151,13 +151,13 @@ execute() {
git_clean "$repository_path"
fi
- env printf '\n%s\n' 'Discovering new blobs, this may take a while...'
+ printf '\n%s\n' 'Discovering new blobs, this may take a while...'
files=$( find "$project_sources_path" -type f | grep -vP "\.git/|\.tar|\.patch" )
touch "$project_blobs_discover_path"
- env printf '%s\n' "$files" | while read file
+ printf '%s\n' "$files" | while read file
do
if ! [ -z "$project_blobs_ignore_path" ]
then
@@ -171,11 +171,11 @@ execute() {
match=$( "$deblob_check_path" -l -i "" "$file" || true )
if ! [ -z "$match" ]
then
- env printf '%s\n' "$match" >> "$project_blobs_discover_path"
+ printf '%s\n' "$match" >> "$project_blobs_discover_path"
fi
done
- env printf '\n%s\n' "Discovered blobs were stored in $project_blobs_discover_path"
+ printf '\n%s\n' "Discovered blobs were stored in $project_blobs_discover_path"
}
execute_check() {
diff --git a/tools/boot-keys/boot-keys b/tools/boot-keys/boot-keys
index c79bac2b..ddc0273a 100755
--- a/tools/boot-keys/boot-keys
+++ b/tools/boot-keys/boot-keys
@@ -24,7 +24,7 @@ generate() {
if [ -z "$type" ]
then
- env printf '%s\n' 'Unable to determine keys type' >&2
+ printf '%s\n' 'Unable to determine keys type' >&2
return 1
fi
@@ -47,11 +47,11 @@ sign() {
if [ -z "$type" ]
then
- env printf '%s\n' 'Unable to determine keys type' >&2
+ printf '%s\n' 'Unable to determine keys type' >&2
return 1
fi
- env printf '%s\n' "$prepare_files" | while read install_path
+ printf '%s\n' "$prepare_files" | while read install_path
do
case $type in
"cros-firmware")
@@ -90,11 +90,11 @@ verify() {
if [ -z "$type" ]
then
- env printf '%s\n' 'Unable to determine keys type' >&2
+ printf '%s\n' 'Unable to determine keys type' >&2
return 1
fi
- env printf '%s\n' "$prepare_files" | while read install_path
+ printf '%s\n' "$prepare_files" | while read install_path
do
case $type in
"cros-firmware")
diff --git a/tools/boot-keys/boot-keys-helper b/tools/boot-keys/boot-keys-helper
index 05739bbe..d386c8ba 100755
--- a/tools/boot-keys/boot-keys-helper
+++ b/tools/boot-keys/boot-keys-helper
@@ -15,7 +15,7 @@ boot_keys_cros() {
if ! [ -x "$cros_script_path" ]
then
- env printf '%s' "$cros_script script missing from cros-scripts install" >&2
+ printf '%s' "$cros_script script missing from cros-scripts install" >&2
return 1
fi
@@ -45,7 +45,7 @@ boot_keys_files_install_path() {
ifs_save=$IFS
IFS=$'\n'
- for argument in $( env printf '%s\n' "$helper_arguments" )
+ for argument in $( printf '%s\n' "$helper_arguments" )
do
(
IFS=$ifs_save